#include <iostream>
#include <print>

// main() Funktion
int main()
{
   // Schleife von 32 bis 127
   for (unsigned char character=32; character < 128; character++)
{
      // Bei jedem 5. Zeichen eine neue Zeile anfangen. Wert%5 ergibt bei
      // jedem 5. Wert als Ergebnis 0. Da aber mit dem Startwert 32 angefangen
      // wurde, muss bei 32,37,42,47,... eine neue Zeile begonnen werden
      // d.h. der Modulo-Operator liefert 2 als Ergebnis
      if (character % 5 == 2)
         std::cout << '\n';
      // Akt. Wert und das Zeichen ausgeben
      std::print("{0:3d} {0:c}\t", character);
   }
   // Zum Schluss noch ein Zeilenvorschub
   std::cout << '\n';
}
